{
  "name": "@god/vue-client",
  "version": "3.0.14",
  "description": "适应于公司全系统的纯客户端开发模型",
  "main": "index.js",
  "scripts": {
    "check:node": "node build/checkNodeVersion.js",
    "lint": "eslint --ext .js --ext .jsx --ext .vue src/",
    "lint:fix": "eslint --fix --ext .js --ext .jsx --ext .vue src/",
    "dev": "npm run check:node && cross-env NODE_ENV=development node build/getSSL.js && cross-env NODE_ENV=development SERVER_PORT=3001 webpack-dev-server --inline --progress --config build/webpack.client.conf.js",
    "build:test": "npm run check:node && cross-env NODE_ENV=test webpack --progress --config build/webpack.client.conf.js && cross-env NODE_ENV=test node ./build/uploadAliyunCDN.js",
    "build:pro": "npm run check:node && cross-env NODE_ENV=production webpack --progress --config build/webpack.client.conf.js && cross-env NODE_ENV=production node ./build/uploadAliyunCDN.js"
  },
  "repository": {
    "type": "git",
    "url": ""
  },
  "keywords": [
    "vue-client"
  ],
  "author": "zhangyanxin",
  "license": "ISC",
  "eslintIgnore": [
    "client-dist/",
    "node_modules/",
    "assets/font-icons/"
  ],
  "engines": {
    "node": ">=8.9"
  },
  "devDependencies": {
    "@babel/core": "^7.11.6",
    "@babel/plugin-proposal-class-properties": "^7.10.4",
    "@babel/plugin-syntax-dynamic-import": "^7.8.3",
    "@babel/plugin-syntax-jsx": "^7.10.4",
    "@babel/plugin-transform-runtime": "^7.11.5",
    "@babel/preset-env": "^7.11.5",
    "@babel/runtime-corejs3": "^7.11.2",
    "acorn": "^7.1.1",
    "ali-oss": "^6.11.2",
    "autoprefixer": "^9.8.6",
    "babel-eslint": "^10.1.0",
    "babel-helper-vue-jsx-merge-props": "^2.0.3",
    "babel-loader": "^8.1.0",
    "clean-webpack-plugin": "^1.0.1",
    "copy-webpack-plugin": "^5.1.2",
    "css-loader": "^4.3.0",
    "dart-sass": "^1.25.0",
    "eslint": "^6.8.0",
    "eslint-config-standard": "^14.1.1",
    "eslint-loader": "^3.0.4",
    "eslint-plugin-html": "^6.1.0",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-standard": "^4.0.1",
    "eslint-plugin-vue": "^6.2.2",
    "file-loader": "^6.1.1",
    "html-replace-webpack-plugin": "^2.5.6",
    "html-webpack-plugin": "^4.5.0",
    "mini-css-extract-plugin": "^0.9.0",
    "postcss-loader": "^3.0.0",
    "request": "^2.88.2",
    "sass-loader": "^10.0.3",
    "semver": "^1.1.4",
    "style-loader": "^2.0.0",
    "url-loader": "^4.1.1",
    "vconsole-webpack-plugin": "^1.5.2",
    "webpack": "^4.44.2",
    "webpack-cli": "^3.3.12",
    "webpack-dev-server": "^3.11.0",
    "webpack-merge": "^4.2.2"
  },
  "dependencies": {
    "@ezijing/vue-form": "^2.2.1",
    "@ezijing/vue-passport": "^1.0.3",
    "axios": "^0.21.0",
    "bootstrap": "^4.5.3",
    "core-js": "^3.8.0",
    "cross-env": "^7.0.2",
    "element-ui": "^2.15.6",
    "jquery": "^3.5.1",
    "js-cookie": "^2.2.1",
    "js-md5": "^0.7.3",
    "lodash": "^4.17.20",
    "print-js": "^1.6.0",
    "qrcode.vue": "^1.7.0",
    "swiper": "^6.3.5",
    "viewerjs": "^1.9.0",
    "vue": "^2.6.12",
    "vue-awesome-swiper": "3.1.3",
    "vue-i18n": "^8.22.2",
    "vue-loader": "^15.9.5",
    "vue-meta-info": "^0.1.7",
    "vue-mobile-calendar": "^3.3.0",
    "vue-router": "^3.4.9",
    "vue-template-compiler": "^2.6.12",
    "vuex": "^3.6.0"
  }
}
